<div class="login-container">
  <div class="login-content" *ngIf="!inProgress; else loading">
    <img class="emp-logo" src="./assets/EMPAIA_LOGO_COLOR.png" alt="Logo">
    <span class="login-text">You are currently not logged in.</span>
    <app-error-message-card [error]="error"></app-error-message-card>
    <button data-cy="login-button" mat-stroked-button (click)="onLogin()">
      <mat-icon>login</mat-icon>
      Login
    </button>
  </div>
  <ng-template #loading>
    <mat-spinner></mat-spinner>
  </ng-template>
</div>
